%define _disable_ld_no_undefined 1

Name:       x11-driver-input-evtouch
Version:    0.8.7
Release:    %mkrel 3
Summary:    Linux-Touchscreen Driver for X
Group:      System/X11
License:    MIT
URL:        http://stz-softwaretechnik.com/~ke/touchscreen/evtouch.html
Source:     http://stz-softwaretechnik.com/~ke/touchscreen/xf86-input-evtouch-%{version}.tar.bz2
Patch2:     04_include_xf86_ansic_h.patch
Patch3:     06_xf86-input-evtouch-0.8.7-misc.patch
Patch4:     07_random_fixes_for_06.patch
BuildRequires:  x11-proto-devel
BuildRequires:  x11-server-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Evtouch is a Touchscreen-Driver for X. 

%prep
%setup -q -n xf86-input-evtouch-%{version}
%patch2 -p1 -b .ansic
%patch3 -p1 -b .misc
%patch4 -p1 -b .fixes

%build
export CURSORDIR=%{_datadir}/xf86-input-evtouch
%configure --enable-evcalibrate
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.calibration
%{_libdir}/xorg/modules/input/evtouch_drv.la
%{_libdir}/xorg/modules/input/evtouch_drv.so
%{_libdir}/xf86-input-evtouch
%{_datadir}/xf86-input-evtouch


%changelog
* Wed Jul 30 2008 Olivier Blin <oblin@mandriva.com> 0.8.7-3mdv2009.0
+ Revision: 255550
- disable ld no_undefined (weird 2mdv passed the build system)
- add more fixes from Debian (reverting parts of the other Debian patch..)

* Wed Jul 30 2008 Olivier Blin <oblin@mandriva.com> 0.8.7-2mdv2009.0
+ Revision: 255221
- add Xorg 1.4 support and various fixes (from Debian)
- drop compile fixes
- drop Q1U patch (hopefully handled by EV_SYN changes in Debian patch)
- fix includes (from Debian)
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.8.7-1mdv2008.1
+ Revision: 98619
- new upstream version: 0.8.7
- added compile-fix.patch (upstream compilation is broken)
- ported q1u.patch to the new version

* Fri Aug 31 2007 Olivier Blin <oblin@mandriva.com> 0.8.6-4mdv2008.0
+ Revision: 76965
- add support for Samsung Q1U touchscreen axes (patch from Pepper, taken from Ubuntu)

* Fri Aug 03 2007 Olivier Blin <oblin@mandriva.com> 0.8.6-3mdv2008.0
+ Revision: 58611
- fix cursor path in ev_calibrate (thanks to rtp for the bug report)

* Thu Jun 28 2007 Olivier Blin <oblin@mandriva.com> 0.8.6-2mdv2008.0
+ Revision: 45242
- remove buildrequires versions (not needed even for 2007.0)
- remove useless X configure options
- remove unused x11-util-macros buildrequire
- add README files

* Tue Jun 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-1mdv2008.0
+ Revision: 41314
- fix package name
- wrong name
- import x11-input-driver-evtouch

